Bug 41286 - Upgrade appbox image to UCS 4.1-3
Upgrade appbox image to UCS 4.1-3
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-3
Assigned To: Arvid Requate
Dirk Wiesenthal
:
Depends on: 39551 39677 41840
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-18 09:49 CEST by Stefan Gohmann
Modified: 2016-09-26 14:09 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Release Management
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
create-docker-ucs-appbox-image.log (110.41 KB, text/x-log)
2016-08-10 15:43 CEST, Arvid Requate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-05-18 09:49:08 CEST
The appbox image should be updated to UCS 4.1-2.
Comment 1 Dirk Wiesenthal univentionstaff 2016-05-30 11:30:14 CEST
Please also upload it to the Docker Hub. The current image has set updates-test.software-univention.de as repository server.
Comment 2 Dirk Wiesenthal univentionstaff 2016-06-30 15:16:08 CEST
Please also update the generic images: https://hub.docker.com/r/univention/ucs-generic-amd64/

If this is not the scope of this bug, clone it.
Comment 3 Arvid Requate univentionstaff 2016-08-10 15:41:26 CEST
Pushed from docker build host to docker-test.software-univention.de:

/usr/share/univention-docker-dev/scripts/create-docker-ucs-appbox-image.sh \
           4.1-3

docker tag univention/ucs-appbox-amd64:4.1-3 \
           docker-test.software-univention.de/ucs-appbox-amd64:4.1-3

I adjusted ucs-4.1/internal/univention-docker-dev for that (r71487).
Comment 4 Arvid Requate univentionstaff 2016-08-10 15:43:39 CEST
Created attachment 7864 [details]
create-docker-ucs-appbox-image.log

The build log.
Comment 5 Dirk Wiesenthal univentionstaff 2016-08-14 00:22:00 CEST
Image can be used, is up to date. VERIFIED.

Please tag to docker.software-univention.de/ucs-appbox-amd64:4.1-3

Also update https://hub.docker.com/r/univention/ucs-generic-amd64/ or open a new bug for that.
Comment 6 Arvid Requate univentionstaff 2016-08-15 15:25:41 CEST
I guess we also need to adjust univention-docker-container-mode to

  univention-join -disableVersionCheck

otherwise the container will not join to e.g. a UCS 4.1-2 master that has not updated to 4.1-3 yet.
Comment 7 Dirk Wiesenthal univentionstaff 2016-08-15 22:41:49 CEST
(In reply to Arvid Requate from comment #6)
> I guess we also need to adjust univention-docker-container-mode to
> 
>   univention-join -disableVersionCheck
> 
> otherwise the container will not join to e.g. a UCS 4.1-2 master that has
> not updated to 4.1-3 yet.

Yes, I saw this, too. But this is a different bug. And the version check is there for a reason, isn't it? Are we sure that having a member (soon also slave!) image running with a higher version will work without any issues?

Also, this can be overcome by setting RequiredUCSVersion=4.1-3 for now.
Comment 8 Arvid Requate univentionstaff 2016-08-17 20:08:18 CEST
> Please tag to docker.software-univention.de/ucs-appbox-amd64:4.1-3

Done and pushed

> Also update https://hub.docker.com/r/univention/ucs-generic-amd64/ or open a new bug for that.

Done, the other role packages too.
Comment 9 Dirk Wiesenthal univentionstaff 2016-09-26 14:09:57 CEST
Great